You are not logged in.

#1 2020-08-18 23:16:35

Smith oo4
Member
From: Calgary, Alberta, Canada
Registered: 2007-12-30
Posts: 40

Grocy Slim Application Error

I am trying to run Grocy, however when I point a browser at the machine I installed it on I get the following error:

Slim Application Error
The application could not run because of the following error:
Details
Type: PDOException
Code: 14
Message: SQLSTATE[HY000] [14] unable to open database file
File: /usr/share/webapps/grocy/services/DatabaseService.php
Line: 39
Trace
#0 /usr/share/webapps/grocy/services/DatabaseService.php(39): PDO->__construct()
#1 /usr/share/webapps/grocy/services/DatabaseService.php(66): Grocy\Services\DatabaseService->GetDbConnectionRaw()
#2 /usr/share/webapps/grocy/services/DatabaseMigrationService.php(9): Grocy\Services\DatabaseService->ExecuteDbStatement()
#3 /usr/share/webapps/grocy/controllers/SystemController.php(20): Grocy\Services\DatabaseMigrationService->MigrateDatabase()
#4 /usr/share/webapps/grocy/vendor/slim/slim/Slim/Handlers/Strategies/RequestResponse.php(43): Grocy\Controllers\SystemController->Root()
#5 /usr/share/webapps/grocy/vendor/slim/slim/Slim/Routing/Route.php(381): Slim\Handlers\Strategies\RequestResponse->__invoke()
#6 /usr/share/webapps/grocy/vendor/slim/slim/Slim/MiddlewareDispatcher.php(81): Slim\Routing\Route->handle()
#7 /usr/share/webapps/grocy/middleware/SessionAuthMiddleware.php(35): Slim\MiddlewareDispatcher->handle()
#8 /usr/share/webapps/grocy/vendor/slim/slim/Slim/MiddlewareDispatcher.php(283): Grocy\Middleware\SessionAuthMiddleware->__invoke()
#9 /usr/share/webapps/grocy/vendor/slim/slim/Slim/MiddlewareDispatcher.php(81): class@anonymous->handle()
#10 /usr/share/webapps/grocy/vendor/slim/slim/Slim/Routing/Route.php(341): Slim\MiddlewareDispatcher->handle()
#11 /usr/share/webapps/grocy/vendor/slim/slim/Slim/Routing/RouteRunner.php(84): Slim\Routing\Route->run()
#12 /usr/share/webapps/grocy/vendor/slim/slim/Slim/Middleware/RoutingMiddleware.php(60): Slim\Routing\RouteRunner->handle()
#13 /usr/share/webapps/grocy/vendor/slim/slim/Slim/MiddlewareDispatcher.php(140): Slim\Middleware\RoutingMiddleware->process()
#14 /usr/share/webapps/grocy/vendor/slim/slim/Slim/Middleware/ErrorMiddleware.php(107): class@anonymous->handle()
#15 /usr/share/webapps/grocy/vendor/slim/slim/Slim/MiddlewareDispatcher.php(140): Slim\Middleware\ErrorMiddleware->process()
#16 /usr/share/webapps/grocy/vendor/slim/slim/Slim/MiddlewareDispatcher.php(81): class@anonymous->handle()
#17 /usr/share/webapps/grocy/vendor/slim/slim/Slim/App.php(215): Slim\MiddlewareDispatcher->handle()
#18 /usr/share/webapps/grocy/vendor/slim/slim/Slim/App.php(199): Slim\App->handle()
#19 /usr/share/webapps/grocy/app.php(68): Slim\App->run()
#20 /usr/share/webapps/grocy/public/index.php(27): require_once('/usr/share/weba...')
#21 {main}

I have installed this on a freshly installed Arch Linux VM using PHP-FPM and Caddy V1 web server. Below are the instructions I followed:


yay -Syu caddy sqlite php php-fpm php-sqlite php-gd grocy

sudo sed -i 's/;extension=pdo_sqlite/extension=pdo_sqlite/g' /etc/php/php.ini
sudo sed -i 's/;extension=sqlite3/extension=sqlite3/g' /etc/php/php.ini
sudo sed -i 's/;extension=gd/extension=gd/g' /etc/php/php.ini

sudo systemctl start php-fpm
sudo systemctl enable php-fpm
sudo systemctl status php-fpm

sudo nano /etc/caddy/conf.d/grocy.conf 

:9283 {
        gzip
        errors /var/log/caddy/grocy_error.log
        root /usr/share/webapps/grocy/public
            fastcgi / unix:/run/php-fpm/php-fpm.sock php {
                index index.php
        }
}

sudo systemctl enable caddy
sudo systemctl start caddy
sudo systemctl status caddy

I have tried installing using NGINX instead of caddy as well as manually downloading the latest Grocy release, extracting, copying the confing file, changing permissions, etc. instead of using the AUR package as well. I have checked the permission of the ‘data’ folder in the Grocy install, (where the app saves its database) and it looks correct to me; “drwxr-xr-x 1 http root”. I have gone as far as to chmod -R 0777 the Grocy install. I have tried installing on an Arch derivative (Endeavouros and Manjaro) incase I screwed up the os install. In all case I have got the same error. I can get Grocy running on Fedora or FreeBSD so I think it must be something related to Arch Linux or my ability to uses it.

Any suggestions on how to fix or troubleshoot this?

Thank you

Last edited by Smith oo4 (2020-08-19 13:07:37)

Offline

#2 2020-08-19 01:29:53

ewaller
Administrator
From: Pasadena, CA
Registered: 2009-07-13
Posts: 17,516

Re: Grocy Slim Application Error

Moving to AUR issues.

Please edit your post and fix it to use BBCode Code tags around all program output and file contents.  And, only use quote tags for quotes.
Thanks


Nothing is too wonderful to be true, if it be consistent with the laws of nature -- Michael Faraday
Sometimes it is the people no one can imagine anything of who do the things no one can imagine. -- Alan Turing
---
How to Ask Questions the Smart Way

Offline

#3 2020-10-09 20:33:28

Gatgeagent
Member
Registered: 2020-10-09
Posts: 1

Re: Grocy Slim Application Error

Hi Smith!

I was pretty displeased having one of these super weird errors too (I've just had this issue and have not found the anwer online after at least ~40 min of searching), until I've remembered the weird php-fpm service file, in which one has to state all the paths that php is supposed to also be able to write to. I've troubledshooted this by creating the file with "touch" and being able to work with "sqlite3 grocy.db" in the "/usr/share/webapps/grocy/data" directory just fine.

The fix to make the directory writeable for php is to add the "/usr/share/webapps/grocy/data" directory to the php-fpm.service unit file:

systemctl edit php-fpm.service
[Service]
ReadWritePaths = /usr/share/webapps/grocy/data

Of course you have to make sure that your executing webserver user actually has permissions to the"usr/share/webapps/grocy/data" directory and "/usr/share/webapps/grocy/data/grocy.db" file, no idea about caddy but with a standard nginx/php-fpm configuration the user is "http", thus running

chown -R http:http /usr/share/webapps/grocy/data

does the trick for that.

Cheers!

Offline

#4 2020-11-18 01:52:47

Smith oo4
Member
From: Calgary, Alberta, Canada
Registered: 2007-12-30
Posts: 40

Re: Grocy Slim Application Error

Sorry about the delayed response. I got busy with work and was not really able to look into until recently. Also, I have discovered that Caddy V1 is no longer a thing and Caddy V2 is only in the AUR and currently will not build. So this became an exercise in learning Nginx and Certbot-Nginx.

I can however confirm your suggestion works, I got Grocy up and running.

Thank you

Offline

#5 2020-11-18 02:46:32

loqs
Member
Registered: 2014-03-06
Posts: 12,094

Re: Grocy Slim Application Error

Smith oo4 wrote:

Also, I have discovered that Caddy V1 is no longer a thing and Caddy V2 is only in the AUR and currently will not build.

caddy2 2.2.0-1 built succesfully on this system:

extra-x86_64-build 
:: Synchronizing package databases...
 core is up to date
 extra                1636.8 KiB  6.61 MiB/s 00:00 [######################] 100%
 community               5.2 MiB  11.5 MiB/s 00:00 [######################] 100%
:: Starting full system upgrade...
 there is nothing to do
==> Building in chroot for [extra] (x86_64)...
==> Synchronizing chroot copy [/var/lib/archbuild/extra-x86_64/root] -> [builduser]...done
==> Making package: caddy2 2.2.0-1 (Wed Nov 18 02:40:55 2020)
==> Retrieving sources...
  -> Updating caddy git repo...
Fetching origin
  -> Found index-a509155e3cff18af793f6af5f930a71c89e05df8.html
  -> Found caddy.service
  -> Found caddy-api.service
  -> Found caddy.tmpfiles
  -> Found caddy.sysusers
  -> Found caddy.conf
  -> Found Caddyfile
==> Validating source files with sha512sums...
    caddy ... Skipped
    index-a509155e3cff18af793f6af5f930a71c89e05df8.html ... Passed
    caddy.service ... Passed
    caddy-api.service ... Passed
    caddy.tmpfiles ... Passed
    caddy.sysusers ... Passed
    caddy.conf ... Passed
    Caddyfile ... Passed
==> Verifying source file signatures with gpg...
    caddy git repo ... Passed (WARNING: the key has expired.)
==> WARNING: Warnings have occurred while verifying the signatures.
    Please make sure you really trust them.
==> Making package: caddy2 2.2.0-1 (Wed 18 Nov 2020 02:41:00 AM)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Installing missing dependencies...
resolving dependencies...
looking for conflicting packages...

Packages (6) pcre2-10.35-1  perl-error-0.17029-2  perl-mailtools-2.21-4
             perl-timedate-2.33-2  git-2.29.2-1  go-2:1.15.5-2

Total Download Size:   127.40 MiB
Total Installed Size:  593.72 MiB

:: Proceed with installation? [Y/n] 
:: Retrieving packages...
 go-2:1.15.5-2-x86_64  127.4 MiB  12.0 MiB/s 00:11 [######################] 100%
(6/6) checking keys in keyring                     [######################] 100%
(6/6) checking package integrity                   [######################] 100%
(6/6) loading package files                        [######################] 100%
(6/6) checking for file conflicts                  [######################] 100%
:: Processing package changes...
(1/6) installing go                                [######################] 100%
(2/6) installing perl-error                        [######################] 100%
(3/6) installing perl-timedate                     [######################] 100%
(4/6) installing perl-mailtools                    [######################] 100%
(5/6) installing pcre2                             [######################] 100%
(6/6) installing git                               [######################] 100%
Optional dependencies for git
    tk: gitk and git gui
    perl-libwww: git svn
    perl-term-readkey: git svn and interactive.singlekey setting
    perl-mime-tools: git send-email
    perl-net-smtp-ssl: git send-email TLS support
    perl-authen-sasl: git send-email TLS support
    perl-mediawiki-api: git mediawiki support
    perl-datetime-format-iso8601: git mediawiki support
    perl-lwp-protocol-https: git mediawiki https support
    perl-cgi: gitweb (web interface) support
    python: git svn & git p4
    subversion: git svn
    org.freedesktop.secrets: keyring credential helper
    libsecret: libsecret credential helper [installed]
:: Running post-transaction hooks...
(1/1) Warn about old perl modules
==> Retrieving sources...
  -> Found index-a509155e3cff18af793f6af5f930a71c89e05df8.html
  -> Found caddy.service
  -> Found caddy-api.service
  -> Found caddy.tmpfiles
  -> Found caddy.sysusers
  -> Found caddy.conf
  -> Found Caddyfile
==> WARNING: Skipping all source file integrity checks.
==> Extracting sources...
  -> Creating working copy of caddy git repo...
Cloning into 'caddy'...
done.
Switched to a new branch 'makepkg'
==> Starting prepare()...
==> Starting build()...
go: creating new go.mod: module caddy
go: downloading github.com/caddyserver/caddy/v2 v2.2.0
go: downloading github.com/prometheus/client_golang v1.7.1
go: downloading go.uber.org/zap v1.15.0
go: downloading golang.org/x/crypto v0.0.0-20200728195943-123391ffb6de
go: downloading github.com/caddyserver/certmagic v0.12.0
go: downloading github.com/mholt/acmez v0.1.1
go: downloading github.com/libdns/libdns v0.1.0
go: downloading github.com/miekg/dns v1.1.30
go: downloading go.uber.org/multierr v1.5.0
go: downloading github.com/klauspost/cpuid v1.2.5
go: downloading go.uber.org/atomic v1.6.0
go: downloading github.com/golang/protobuf v1.4.2
go: downloading github.com/prometheus/procfs v0.1.3
go: downloading github.com/prometheus/common v0.10.0
go: downloading github.com/prometheus/client_model v0.2.0
go: downloading github.com/beorn7/perks v1.0.1
go: downloading google.golang.org/protobuf v1.24.0
go: downloading golang.org/x/sys v0.0.0-20200615200032-f1bc736245b1
go: downloading github.com/cespare/xxhash v1.1.0
go: downloading golang.org/x/net v0.0.0-20200707034311-ab3426394381
go: downloading github.com/cespare/xxhash/v2 v2.1.1
go: downloading github.com/matttproud/golang_protobuf_extensions v1.0.1
go: downloading golang.org/x/text v0.3.2
go: downloading github.com/smallstep/certificates v0.15.4
go: downloading github.com/google/cel-go v0.5.1
go: downloading github.com/yuin/goldmark v1.2.1
go: downloading github.com/smallstep/nosql v0.3.0
go: downloading github.com/go-chi/chi v4.1.2+incompatible
go: downloading github.com/smallstep/cli v0.15.2
go: downloading github.com/klauspost/compress v1.11.0
go: downloading github.com/google/go-cmp v0.4.0
go: downloading github.com/pkg/errors v0.9.1
go: downloading github.com/dustin/go-humanize v1.0.1-0.20200219035652-afde56e7acac
go: downloading github.com/naoina/toml v0.1.1
go: downloading github.com/go-sql-driver/mysql v1.5.0
go: downloading github.com/dgraph-io/badger v1.5.3
go: downloading github.com/urfave/cli v1.22.2
go: downloading github.com/jsternberg/zap-logfmt v1.2.0
go: downloading github.com/stretchr/testify v1.5.1
go: downloading github.com/manifoldco/promptui v0.3.1
go: downloading github.com/lucas-clemente/quic-go v0.18.0
go: downloading github.com/smallstep/truststore v0.9.6
go: downloading github.com/dgraph-io/badger/v2 v2.0.1-rc1.0.20200413122845-09dd2e1a4195
go: downloading golang.org/x/lint v0.0.0-20191125180803-fdd1cda4f05f
go: downloading gopkg.in/natefinch/lumberjack.v2 v2.0.0
go: downloading github.com/kylelemons/godebug v1.1.0
go: downloading github.com/pmezard/go-difflib v1.0.0
go: downloading howett.net/plist v0.0.0-20181124034731-591f970eefbb
go: downloading github.com/cpuguy83/go-md2man v1.0.10
go: downloading github.com/naoina/go-stringutil v0.1.0
go: downloading github.com/cpuguy83/go-md2man/v2 v2.0.0
go: downloading github.com/chzyer/readline v0.0.0-20180603132655-2972be24d48e
go: downloading honnef.co/go/tools v0.0.1-2019.2.3
go: downloading github.com/dgraph-io/ristretto v0.0.2-0.20200115201040-8f368f2f2ab3
go: downloading github.com/alecthomas/chroma v0.8.0
go: downloading github.com/smallstep/assert v0.0.0-20200723003110-82e2b9b3b262
go: downloading golang.org/x/sync v0.0.0-20190911185100-cd5d95a43a6e
go: downloading golang.org/x/tools v0.0.0-20200106190116-7be0a674c9fc
go: downloading github.com/russross/blackfriday v1.5.2
go: downloading github.com/dgryski/go-farm v0.0.0-20190423205320-6a90982ecee2
go: downloading github.com/russross/blackfriday/v2 v2.0.1
go: downloading github.com/yuin/goldmark-highlighting v0.0.0-20200307114337-60d527fdb691
go: downloading github.com/golang/snappy v0.0.1
go: downloading github.com/onsi/ginkgo v1.14.0
go: downloading github.com/marten-seemann/qpack v0.2.0
go: downloading github.com/shurcooL/sanitized_anchor_name v1.0.0
go: downloading github.com/onsi/gomega v1.10.1
go: downloading github.com/davecgh/go-spew v1.1.1
go: downloading google.golang.org/genproto v0.0.0-20200806141610-86f49bd18e98
go: downloading github.com/golang/mock v1.4.4
go: downloading github.com/cheekybits/genny v1.0.0
go: downloading golang.org/x/xerrors v0.0.0-20191204190536-9bdfabe68543
go: downloading github.com/Masterminds/sprig/v3 v3.1.0
go: downloading github.com/spaolacci/murmur3 v1.1.0
go: downloading github.com/mitchellh/copystructure v1.0.0
go: downloading github.com/imdario/mergo v0.3.8
go: downloading github.com/juju/ansiterm v0.0.0-20180109212912-720a0952cc2a
go: downloading go.uber.org/tools v0.0.0-20190618225709-2cfd321de3ee
go: downloading github.com/BurntSushi/toml v0.3.1
go: downloading github.com/Masterminds/semver v1.4.2
go: downloading github.com/dlclark/regexp2 v1.2.0
go: downloading github.com/Masterminds/semver/v3 v3.1.0
go: downloading github.com/huandu/xstrings v1.3.1
go: downloading github.com/chzyer/test v0.0.0-20180213035817-a1ea475d72b1
go: downloading gopkg.in/yaml.v2 v2.3.0
go: downloading github.com/OneOfOne/xxhash v1.2.2
go: downloading gopkg.in/check.v1 v1.0.0-20190902080502-41f04d3bba15
go: downloading github.com/mattn/go-isatty v0.0.12
go: downloading github.com/mitchellh/reflectwalk v1.0.0
go: downloading github.com/spf13/cast v1.3.1
go: downloading github.com/mattn/go-colorable v0.1.6
go: downloading go.etcd.io/bbolt v1.3.2
go: downloading github.com/google/uuid v1.1.1
go: downloading github.com/chzyer/logex v1.1.10
go: downloading github.com/danwakefield/fnmatch v0.0.0-20160403171240-cbb64ac3d964
go: downloading github.com/marten-seemann/qtls v0.10.0
go: downloading github.com/nxadm/tail v1.4.4
go: downloading github.com/marten-seemann/qtls-go1-15 v0.1.0
go: downloading github.com/kr/pretty v0.1.0
go: downloading github.com/alecthomas/assert v0.0.0-20170929043011-405dbfeb8e38
go: downloading github.com/DataDog/zstd v1.4.1
go: downloading gopkg.in/tomb.v1 v1.0.0-20141024135613-dd632973f1e7
go: downloading go.step.sm/crypto v0.6.0
go: downloading github.com/antlr/antlr4 v0.0.0-20200503195918-621b933c7a7f
go: downloading github.com/lunixbochs/vtclean v1.0.0
go: downloading cloud.google.com/go v0.51.0
go: downloading github.com/AndreasBriese/bbloom v0.0.0-20190306092124-e2d15f34fcf9
go: downloading google.golang.org/grpc v1.27.1
go: downloading github.com/alecthomas/colour v0.0.0-20160524082231-60882d9e2721
go: downloading github.com/googleapis/gax-go v2.0.0+incompatible
go: downloading github.com/alecthomas/repr v0.0.0-20180818092828-117648cd9897
go: downloading github.com/samfoo/ansi v0.0.0-20160124022901-b6bd2ded7189
go: downloading github.com/googleapis/gax-go/v2 v2.0.5
go: downloading github.com/kr/text v0.1.0
go: downloading github.com/Masterminds/goutils v1.1.0
go: downloading gopkg.in/square/go-jose.v2 v2.5.1
go: downloading github.com/sergi/go-diff v1.0.0
go: downloading github.com/aws/aws-sdk-go v1.30.29
go: downloading github.com/fsnotify/fsnotify v1.4.9
go: downloading google.golang.org/api v0.15.0
go: downloading github.com/rs/xid v1.2.1
go: downloading golang.org/x/oauth2 v0.0.0-20191202225959-858c2ad4c8b6
go: downloading go.opencensus.io v0.22.2
go: downloading google.golang.org/appengine v1.6.5
go: downloading github.com/sirupsen/logrus v1.4.2
go: downloading github.com/golang/groupcache v0.0.0-20191227052852-215e87163ea7
go: downloading github.com/golang/glog v0.0.0-20160126235308-23def4e6c14b
go: downloading github.com/konsorten/go-windows-terminal-sequences v1.0.2
go: downloading github.com/jmespath/go-jmespath v0.3.0
==> Starting check()...
go: downloading github.com/aryann/difflib v0.0.0-20170710044230-e206f873d14a
ok  	github.com/caddyserver/caddy/v2	0.039s
?   	github.com/caddyserver/caddy/v2/caddyconfig	[no test files]
ok  	github.com/caddyserver/caddy/v2/caddyconfig/caddyfile	0.026s
ok  	github.com/caddyserver/caddy/v2/caddyconfig/httpcaddyfile	0.024s
ok  	github.com/caddyserver/caddy/v2/caddytest	0.070s
ok  	github.com/caddyserver/caddy/v2/caddytest/integration	0.056s
?   	github.com/caddyserver/caddy/v2/cmd	[no test files]
ok  	github.com/caddyserver/caddy/v2/modules/caddyhttp	0.124s
?   	github.com/caddyserver/caddy/v2/modules/caddyhttp/caddyauth	[no test files]
ok  	github.com/caddyserver/caddy/v2/modules/caddyhttp/encode	0.031s [no tests to run]
?   	github.com/caddyserver/caddy/v2/modules/caddyhttp/encode/gzip	[no test files]
?   	github.com/caddyserver/caddy/v2/modules/caddyhttp/encode/zstd	[no test files]
ok  	github.com/caddyserver/caddy/v2/modules/caddyhttp/fileserver	0.076s
ok  	github.com/caddyserver/caddy/v2/modules/caddyhttp/headers	0.030s
?   	github.com/caddyserver/caddy/v2/modules/caddyhttp/map	[no test files]
ok  	github.com/caddyserver/caddy/v2/modules/caddyhttp/push	0.028s
?   	github.com/caddyserver/caddy/v2/modules/caddyhttp/requestbody	[no test files]
ok  	github.com/caddyserver/caddy/v2/modules/caddyhttp/reverseproxy	0.024s
ok  	github.com/caddyserver/caddy/v2/modules/caddyhttp/reverseproxy/fastcgi	0.023s [no tests to run]
ok  	github.com/caddyserver/caddy/v2/modules/caddyhttp/rewrite	0.015s
?   	github.com/caddyserver/caddy/v2/modules/caddyhttp/standard	[no test files]
ok  	github.com/caddyserver/caddy/v2/modules/caddyhttp/templates	0.023s
?   	github.com/caddyserver/caddy/v2/modules/caddypki	[no test files]
?   	github.com/caddyserver/caddy/v2/modules/caddypki/acmeserver	[no test files]
ok  	github.com/caddyserver/caddy/v2/modules/caddytls	0.009s
?   	github.com/caddyserver/caddy/v2/modules/caddytls/distributedstek	[no test files]
?   	github.com/caddyserver/caddy/v2/modules/caddytls/standardstek	[no test files]
?   	github.com/caddyserver/caddy/v2/modules/filestorage	[no test files]
?   	github.com/caddyserver/caddy/v2/modules/logging	[no test files]
?   	github.com/caddyserver/caddy/v2/modules/metrics	[no test files]
?   	github.com/caddyserver/caddy/v2/modules/standard	[no test files]
==> Entering fakeroot environment...
==> Starting package()...
==> Tidying install...
  -> Removing libtool files...
  -> Purging unwanted files...
  -> Removing static library files...
  -> Stripping unneeded symbols from binaries and libraries...
  -> Compressing man and info pages...
==> Checking for packaging issues...
==> Creating package "caddy2"...
  -> Generating .PKGINFO file...
  -> Generating .BUILDINFO file...
  -> Generating .MTREE file...
  -> Compressing package...
==> Leaving fakeroot environment.
==> Finished making: caddy2 2.2.0-1 (Wed 18 Nov 2020 02:42:47 AM GMT)
==> Installing package caddy2 with pacman -U...
loading packages...
resolving dependencies...
looking for conflicting packages...

Packages (1) caddy2-2.2.0-1

Total Installed Size:  40.13 MiB

:: Proceed with installation? [Y/n] 
(1/1) checking keys in keyring                                                                                     [####################################################################] 100%
(1/1) checking package integrity                                                                                   [####################################################################] 100%
(1/1) loading package files                                                                                        [####################################################################] 100%
(1/1) checking for file conflicts                                                                                  [####################################################################] 100%
:: Processing package changes...
(1/1) installing caddy2                                                                                            [####################################################################] 100%
resolving dependencies...
looking for conflicting packages...

Packages (6) libnsl-1.3.0-1  licenses-20200427-1  pyalpm-0.9.1-2  python-3.8.6-1  python-pyelftools-0.26-1  namcap-3.2.10-1

Total Installed Size:  80.26 MiB

:: Proceed with installation? [Y/n] 
(6/6) checking keys in keyring                                                                                     [####################################################################] 100%
(6/6) checking package integrity                                                                                   [####################################################################] 100%
(6/6) loading package files                                                                                        [####################################################################] 100%
(6/6) checking for file conflicts                                                                                  [####################################################################] 100%
:: Processing package changes...
(1/6) installing libnsl                                                                                            [####################################################################] 100%
(2/6) installing python                                                                                            [####################################################################] 100%
Optional dependencies for python
    python-setuptools
    python-pip
    sqlite [installed]
    mpdecimal: for decimal
    xz: for lzma [installed]
    tk: for tkinter
(3/6) installing pyalpm                                                                                            [####################################################################] 100%
(4/6) installing licenses                                                                                          [####################################################################] 100%
(5/6) installing python-pyelftools                                                                                 [####################################################################] 100%
(6/6) installing namcap                                                                                            [####################################################################] 100%
Checking PKGBUILD
Checking caddy2-2.2.0-1-x86_64.pkg.tar.zst
caddy2 W: Directory (etc/caddy/conf.d) is empty
==> Running checkpkg
error: target not found: caddy2
==> WARNING: Skipped checkpkg due to missing repo packages

Offline

#6 2020-11-18 21:20:50

Smith oo4
Member
From: Calgary, Alberta, Canada
Registered: 2007-12-30
Posts: 40

Re: Grocy Slim Application Error

I get:

:: PGP keys need importing:
 -> 29D0817A67156E4F25DC24782A349DD577D586A5, required by: caddy2
==> Import? [Y/n] y
:: Importing keys with gpg...
gpg: keyserver receive failed: Server indicated a failure
problem importing keys
[morgan@archlinux ~]$ gpg --receive-keys 29D0817A67156E4F25DC24782A349DD577D586A5
gpg: keyserver receive failed: Server indicated a failure
[morgan@archlinux ~]$ gpg --keyserver pool.sks-keyservers.net --receive-keys 29D0817A67156E4F25DC24782A349DD577D586A5
gpg: keyserver receive failed: Server indicated a failure

As there were some comments around this on the AUR page I assuming it was something being worked on. I guess it is an issue with me.

I don't know much about gpg key importing and my googling has not come up with much. What would be the first step to try and resolve this?

Offline

#7 2020-11-19 01:45:24

loqs
Member
Registered: 2014-03-06
Posts: 12,094

Re: Grocy Slim Application Error

I think gpg requires the protocol to be specified as in:

gpg --keyserver hkp://pool.sks-keyservers.net --receive-keys 29D0817A67156E4F25DC24782A349DD577D586A5

If that works you can set the default server by adding it to ~/.gnupg/dirmngr.conf

keyserver hkp://pool.sks-keyservers.net

Offline

#8 2020-11-19 13:26:04

Smith oo4
Member
From: Calgary, Alberta, Canada
Registered: 2007-12-30
Posts: 40

Re: Grocy Slim Application Error

No luck.

Even tried it with sudo, not sure if that is a good thing to do or not.

[morgan@archlinux ~]$ gpg --keyserver hkp://pool.sks-keyservers.net --receive-keys 29D0817A67156E4F25DC24782A349DD577D586A5
gpg: keyserver receive failed: Server indicated a failure
[morgan@archlinux ~]$ sudo gpg --keyserver hkp://pool.sks-keyservers.net --receive-keys 29D0817A67156E4F25DC24782A349DD577D586A5
gpg: keyserver receive failed: Server indicated a failure

In all honesty this is not a big deal to me. I would be more interested in caddy-bin getting a systemd service files or caddy2 becoming an official arch package like caddy V1 was. Also, I don't have much time to learn Caddy V2 right now.

Regardless thank you for your help, I really appreciate it.

Offline

Board footer

Powered by FluxBB